// vi: set ts=4 sw=4 :

// vim: set tw=75 :



// From SDK dlls/h_export.cpp:



/***

*

*	Copyright (c) 1999, 2000 Valve LLC. All rights reserved.

*	

*	This product contains software technology licensed from Id 

*	Software, Inc. ("Id Technology").  Id Technology (c) 1996 Id Software, Inc. 

*	All Rights Reserved.

*

*   Use, distribution, and modification of this source code and/or resulting

*   object code is restricted to non-commercial enhancements to products from

*   Valve LLC.  All other use, distribution, or modification is prohibited

*   without written permission from Valve LLC.

*

****/

/*



===== h_export.cpp ========================================================



  Entity classes exported by Halflife.



*/



#include <extdll.h>



#include <h_export.h>



// From SDK dlls/h_export.cpp:



//! Holds engine functionality callbacks

enginefuncs_t g_engfuncs;

globalvars_t  *gpGlobals;



// Receive engine function table from engine.

// This appears to be the _first_ DLL routine called by the engine, so we

// do some setup operations here.

void WINAPI GiveFnptrsToDll( enginefuncs_t* pengfuncsFromEngine, globalvars_t *pGlobals )

{

	memcpy(&g_engfuncs, pengfuncsFromEngine, sizeof(enginefuncs_t));

	gpGlobals = pGlobals;

}

